Bombed on install Rated 3 out of 5 stars

Bombed on install! Error message below:

Firefox could not install the file at
https://addons.mozilla.org/en-US/firefox/downloads/latest/7799/addon-7799-latest.xpi?src=addondetail
because: Unexpected installation error
Review the Error Console log for more details.
-203

This review is for a previous version of the add-on (1.3.3). 

Waiting on moderation

The fix to this issue is available from the reddit servers: http://www.reddit.com/socialite/

I'm still waiting on AMO to moderate the update. Sorry for the inconvenience!